summaryrefslogtreecommitdiffstats
path: root/catalog-fe/src/test/resources/CI/originalResources/scripts
diff options
context:
space:
mode:
authorMichael Lando <ml636r@att.com>2017-02-19 10:28:42 +0200
committerMichael Lando <ml636r@att.com>2017-02-19 10:51:01 +0200
commit451a3400b76511393c62a444f588a4ed15f4a549 (patch)
treee4f5873a863d1d3e55618eab48b83262f874719d /catalog-fe/src/test/resources/CI/originalResources/scripts
parent5abfe4e1fb5fae4bbd5fbc340519f52075aff3ff (diff)
Initial OpenECOMP SDC commit
Change-Id: I0924d5a6ae9cdc161ae17c68d3689a30d10f407b Signed-off-by: Michael Lando <ml636r@att.com>
Diffstat (limited to 'catalog-fe/src/test/resources/CI/originalResources/scripts')
-rw-r--r--catalog-fe/src/test/resources/CI/originalResources/scripts/apache_start_detection.groovy6
-rw-r--r--catalog-fe/src/test/resources/CI/originalResources/scripts/install_apache.sh53
-rw-r--r--catalog-fe/src/test/resources/CI/originalResources/scripts/start_apache.sh10
3 files changed, 69 insertions, 0 deletions
diff --git a/catalog-fe/src/test/resources/CI/originalResources/scripts/apache_start_detection.groovy b/catalog-fe/src/test/resources/CI/originalResources/scripts/apache_start_detection.groovy
new file mode 100644
index 0000000000..93d732e0cd
--- /dev/null
+++ b/catalog-fe/src/test/resources/CI/originalResources/scripts/apache_start_detection.groovy
@@ -0,0 +1,6 @@
+import org.cloudifysource.dsl.utils.ServiceUtils
+
+println "apache_start_detection.groovy: port http=${PORT} ..."
+def isPortOccupied = ServiceUtils.isPortOccupied(Integer.parseInt(PORT))
+println "apache_start_detection.groovy: isPortOccupied http=${PORT} ... ${isPortOccupied}"
+return isPortOccupied
diff --git a/catalog-fe/src/test/resources/CI/originalResources/scripts/install_apache.sh b/catalog-fe/src/test/resources/CI/originalResources/scripts/install_apache.sh
new file mode 100644
index 0000000000..a77f9a13f8
--- /dev/null
+++ b/catalog-fe/src/test/resources/CI/originalResources/scripts/install_apache.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+echo "Using apt-get. Installing apache2 on one of the following : Debian, Ubuntu, Mint"
+LOCK="/tmp/lockaptget"
+DEFAULT_PORT=80
+
+while true; do
+ if mkdir "${LOCK}" &>/dev/null; then
+ echo "Apache take the lock"
+ break;
+ fi
+ echo "Waiting the end of one of our recipes..."
+ sleep 0.5
+done
+
+while sudo fuser /var/lib/dpkg/lock >/dev/null 2>&1 ; do
+ echo "Waiting for other software managers to finish..."
+ sleep 0.5
+done
+
+sudo rm -f /var/lib/dpkg/lock
+sudo apt-get update || (sleep 15; sudo apt-get update || exit ${1})
+sudo apt-get install -y -q apache2 || exit ${1}
+rm -rf "${LOCK}"
+
+sudo /etc/init.d/apache2 stop
+if [ ! -d $DOC_ROOT ]; then
+ eval "sudo mkdir -p $DOC_ROOT"
+fi
+eval "sudo chown -R www-data:www-data $DOC_ROOT"
+
+if [[ ("$PORT" == "$DEFAULT_PORT") ]]; then
+ echo "Use default port for Apache : $DEFAULT_PORT"
+else
+ echo "Replacing port $DEFAULT_PORT with $PORT..."
+ sudo sed -i -e "s/$DEFAULT_PORT/$PORT/g" /etc/apache2/ports.conf || exit ${1}
+fi
+
+echo "Change config of apache2"
+if sudo test -f "/etc/apache2/sites-available/default"; then
+ echo "Change the DocumentRoot of apache2 on Ubuntu < 14.04"
+ sudo sed -i -e "s#DocumentRoot /var/www#DocumentRoot $DOC_ROOT#g" /etc/apache2/sites-available/default
+fi
+if sudo test -f "/etc/apache2/sites-available/000-default.conf"; then
+ echo "Change the DocumentRoot of Apache2 on Ubuntu >= 14.04"
+ sudo sed -i -e "s#DocumentRoot /var/www/html#DocumentRoot $DOC_ROOT#g" /etc/apache2/sites-available/000-default.conf
+fi
+
+sudo bash -c "echo ServerName localhost >> /etc/apache2/apache2.conf"
+
+echo "Start apache2 whith new conf"
+sudo /etc/init.d/apache2 start
+echo "End of $0"
diff --git a/catalog-fe/src/test/resources/CI/originalResources/scripts/start_apache.sh b/catalog-fe/src/test/resources/CI/originalResources/scripts/start_apache.sh
new file mode 100644
index 0000000000..478c56edf5
--- /dev/null
+++ b/catalog-fe/src/test/resources/CI/originalResources/scripts/start_apache.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+service="apache2"
+
+if (( $(ps -ef | grep -v grep | grep $service | wc -l) > 0 ))
+then
+ sudo /etc/init.d/$service restart
+else
+ sudo /etc/init.d/$service start
+fi